/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class Shipper extends RelMgmt.Party.PartyRole {
    public BigDecimal calcWeightShipped() {
        return new BigDecimal(0);
    }

    public Vector calcCostsUsingShipper() {
        return new Vector();
    }

    public Vector assessTimelinessOfDeliveries() {
        return new Vector();
    }

    public Vector determineShippingPoints() {
        return new Vector();
    }

    public Vector determineDeliveryRoutes() {
        return new Vector();
    }

    public Vector listShipments() {
        return new Vector();
    }

    /**
     *@clientCardinality 1
     *@supplierCardinality 0..*
     */
    private ProductSaleMgmt.ShipmentToCustomer.ShipmentToCustomer lnkUnnamed;
    private String number;

    /**
     * @clientCardinality 1
     * @label derivable
     * @supplierCardinality 0..*
     */
    private ProductSaleMgmt.DeliveryToCustomer.DeliveryToCustomer lnkUnnamed1;
}


